<div class="ui-container">
  <div class="form ui-wrapper" stUiLoader [loading]="loading">
    <div class="row">
      <div class="col-xs-12 form-group">
        <div class="heading">
          Photos
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12 form-group">
        <p class="text--primary">Lorem Ipsum is simply dummy text of the printing and typesettind hen an unknown printer took a galley of type and
          scrambled it to make a type specimen book. scrambled it to make a type Lorem Ipsum is that it has a more-or-less
          normal. </p>
      </div>
    </div>
    <div class="row form-group">
      <div class="col-xs-6">
        <div class="action">
          <div class="action__item">Miniature</div>
          <label for="miniature_upload" class="action__item action__item--success">Upload</label>
          <input id="miniature_upload" class="hidden" type="file" accept="image/*" (change)="onImageChange($event, 'miniature')">
        </div>
      </div>
      <div class="clearfix"></div>
      <div class="col-xs-6" *ngIf="!images.miniature">
        <div class="photo">
          <div class="photo__area photo__area--flex">
            <label for="miniature_upload" class="upload-label photo__img">
              <div class="photo__placeholder"></div>
            </label>
          </div>
        </div>
      </div>
      <div class="col-xs-6" *ngIf="images.miniature" st-image-cropper [data]="images.miniature" [viewOnly]="true" (cropboxInstance)="saveCropbox($event, 'miniature')">
        <ng-container scope="label">
          <label for="miniature_upload" class="upload-label photo__img">
            <div class="photo__placeholder"></div>
          </label>
        </ng-container>
      </div>
    </div>

    <div class="row form-group">
      <div class="col-xs-12 col-md-6">
        <div class="action">
          <div class="action__item">Banner</div>
          <label for="banner_upload" class="action__item action__item--success">Upload</label>
          <input id="banner_upload" class="hidden" type="file" accept="image/*" (change)="onImageChange($event, 'banner')">
        </div>
      </div>
      <div class="col-xs-12 col-md-6" [hidden]="!images.banner">
        <div class="action">
          <div class="action__item">Crop image</div>
        </div>
      </div>
      <div class="clearfix"></div>
      <div class="col-xs-6" *ngIf="!images.banner">
        <div class="photo">
          <div class="photo__area photo__area--flex">
            <label for="banner_upload" class="upload-label photo__img">
              <div class="photo__placeholder"></div>
            </label>
          </div>
        </div>
      </div>
      <div class="col-xs-12" *ngIf="images.banner" st-image-cropper [data]="images.banner" (cropboxInstance)="saveCropbox($event, 'banner')"></div>
    </div>

    <div class="row form-group">
      <div class="col-xs-12 col-md-6">
        <div class="action">
          <div class="action__item">Gallery</div>
          <label for="gallery_upload" class="upload-label action__item action__item--success">Upload</label>
          <div class="action__item action__item--danger" [hidden]="!images.gallery.length" (click)="removeFromGallery()">Remove</div>
        </div>
      </div>

      <input id="gallery_upload" class="hidden" type="file" accept="image/*" (change)="onImageChange($event, 'gallery')">

      <div class="col-xs-12 col-md-6" [hidden]="!images.gallery.length">
        <div class="action">
          <div class="action__item">Crop image</div>
        </div>
      </div>
      <div class="clearfix"></div>

      <div class="col-xs-12" *ngFor="let data of images.gallery" st-image-cropper [data]="data" (cropboxInstance)="saveCropbox($event, 'gallery')"></div>
      <div class="col-xs-6">
        <div class="photo">
          <div class="photo__area photo__area--flex">
            <label for="gallery_upload" class="photo__img upload-label">
              <div class="photo__placeholder photo__placeholder--plus"></div>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="clearfix"></div>

    <div class="row form__submit_area">
      <div class="col-xs-offset-3 col-xs-3">
        <button type="button" class="btn btn-block btn-back" (click)="back()">Back</button>
      </div>
      <div class="col-xs-3">
        <button class="btn btn-block" (click)="cancel()">Cancel</button>
      </div>
      <div class="col-xs-3">
        <button class="btn btn-success btn-block" (click)="saveData()">Next</button>
      </div>
    </div>
  </div>
</div>
